# Note that this is NOT a relocatable package

Summary: Inti Libraries
Name: Inti
Version: 0.5preview
Release: 1
Copyright: LGPL
Group: Development/Libraries
Source: ftp://sourceware.cygnus.com/pub/inti/Inti-%{version}.tar.gz
BuildRoot: /var/tmp/inti-%{PACKAGE_VERSION}-root
Packager: Havoc Pennington <hp@redhat.com
URL: http://sourceware.cygnus.com/inti/
Requires: gtk+-gtkbeta
BuildPrereq: python
BuildPrereq: gtk+-gtkbeta-devel
ExcludeArch: ia64

%description
Preview release of general-purpose C++ foundation libraries, including a GUI toolkit.

%package devel
Summary: Inti foundation libraries
Group: Development/Libraries
Requires: Inti

%description devel
Static libraries and header files for the Inti foundation
libraries. Inti includes C++ interfaces for the GTK+ GUI toolkit, and
also general-purpose nongraphical foundation libraries. This is a
preview release, not for production use.

%changelog
* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- 0.5preview, this adds gc.h (graphics context header)
  which was not installed in 0.4preview. Otherwise
  no real changes.

* Sun Aug 13 2000 Havoc Pennington <hp@redhat.com>
- 0.4preview

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Building a new RPM against CVS snapshots of glib, GTK, etc.

* Tue Jul 18 2000 Havoc Pennington <hp@redhat.com>
- Trying to build with actual binaries inside, against 
  GTK 1.3.1

* Thu Jun 29 2000 Havoc Pennington <hp@redhat.com>
- Remove Docdir
- new tarball
- BuildPrereq python

* Tue May 30 2000 Havoc Pennington <hp@redhat.com>
- created package
  
%prep
%setup

%build
%configure
make -j2

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin

(cd src/examples/gtk && ../../../libtool --mode=install install testinti-gtk $RPM_BUILD_ROOT%{_prefix}/bin)

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc COPYING README
%{_prefix}/lib/libinti-base-1.so.*
%{_prefix}/lib/libinti-pango-1.so.*
%{_prefix}/lib/libinti-gdk-1.so.*
%{_prefix}/lib/libinti-gtk-1.so.*
# uncomment if we get any translations
# %{_prefix}/share/locale/*/*/* 

%files devel
%defattr(-, root, root)

%doc ChangeLog AUTHORS NEWS TODO src/examples/gtk/hello.cc src/examples/gtk/simple-hello.cc src/examples/gtk/testinti-gtk.cc
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/*
%{_prefix}/lib/pkgconfig/*
%{_prefix}/bin/testinti-gtk
